Email Validation
curl --request POST \
--url https://api.linkupapi.com/v1/data/mail/validate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"email": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/data/mail/validate"
payload = { "email": "<string>" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://api.linkupapi.com/v1/data/mail/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"email": "[email protected]",
"is_valid": true,
"is_catch_all": false
}
}
{
"status": "success",
"data": {
"email": "[email protected]",
"is_valid": false,
"is_catch_all": false
}
}
{
"status": "success",
"data": {
"email": "[email protected]",
"is_valid": true,
"is_catch_all": true
}
}
Mail API
Email Validation
Validate if an email address is valid and deliverable
POST
/
v1
/
data
/
mail
/
validate
Email Validation
Validate an email address to check if it’s valid, deliverable, and whether the domain has catch-all functionality enabled.
This endpoint costs 1 credit per request.
Header Parameters
string
required
Your API key
Body Parameters
string
required
Email address to validate (e.g., [email protected])
Response
string
Request status (success/error)
object
{
"status": "success",
"data": {
"email": "[email protected]",
"is_valid": true,
"is_catch_all": false
}
}
{
"status": "success",
"data": {
"email": "[email protected]",
"is_valid": false,
"is_catch_all": false
}
}
{
"status": "success",
"data": {
"email": "[email protected]",
"is_valid": true,
"is_catch_all": true
}
}
Notes
- The validation checks both email format and deliverability
- Catch-all domains accept emails to any address at that domain
- A valid email means it can receive messages
- The validation process may take a few seconds for thorough checking
- Some corporate domains may have catch-all enabled for security reasons
Was this page helpful?